Automette docs

List tasks

GET
/api/v1/tasks

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from API Keys in the dashboard menu.

In: header

Query Parameters

agent_id?string
status?string

Value in

  • "working"
  • "waiting"
  • "finished"
limit?integer
Rangevalue <= 100
Default25

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/tasks"
{  "data": [    {      "id": "string",      "agent": {        "id": "string",        "name": "string"      },      "title": "string",      "status": "queued",      "summary": "string",      "created_at": "2019-08-24T14:15:22Z",      "finished_at": "2019-08-24T14:15:22Z"    }  ]}